CadXP: type de ligne talus - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

type de ligne talus

#1 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 22 juin 2020 - 15:29

Bonjour,

Existe t'il un type de ligne pour dessiner des talus?

Je n'arrive pas à en "fabriquer " une.

j'ai tenté une recherche dans l'aide "cliquez sur l'onglet Outils Vision, le groupe de fonctions GraphesTalus" mais je ne trouve pas cette option dans Autocad

merci beaucoup par avance!
0

#2 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 980
  • Inscrit(e) : 04-novembre 05

Posté 22 juin 2020 - 17:10

salut,
il faut que standard soit défini avec "txt.shx"
*g-eaux_Talus,Talus _|!|!|!|!|!
A,0.2,["|",STANDARD,S=1.00],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2]

a+
gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#3 L'utilisateur est hors-ligne   rebcao 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 7 230
  • Inscrit(e) : 25-août 04
  • LocationSELESTAT

Posté 22 juin 2020 - 17:35

Bonjour,

Le problème si l'on veut utiliser un TYPE DE LIGNE de ce type, il va évoluer avec l'échelle du plan si PSLTSCALE est actif ! Et l'intérêt c'est qu'il reste actif !

Christian


Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger des Supports de Cours AutoCAD, des Outils AutoCAD...
cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)
0

#4 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 24 juin 2020 - 11:10

Voir le messageGEGEMATIC, le 22 juin 2020 - 17:10 , dit :

salut,
il faut que standard soit défini avec "txt.shx"
*g-eaux_Talus,Talus _|!|!|!|!|!
A,0.2,["|",STANDARD,S=1.00],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2],0.2,["|",STANDARD,S=0.2]

a+
gégé


Je n'ai rien compris :huh:
Que dois je faire de cette ligne de code?
0

#5 L'utilisateur est hors-ligne   MNT 

  • ceinture noire
  • Groupe : Membres
  • Messages : 497
  • Inscrit(e) : 12-décembre 02

Posté 24 juin 2020 - 11:12

Bonjour,

ce n'est pas un type de ligne mais un lisp

à télécharger içi : http://didier.duhem....tines.htm#Talus

Bonne journée.
Le Hamac est une science exacte qui ne tolère pas l'amateurisme.
0

#6 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 24 juin 2020 - 11:29

Merci MNT,

Alors j'ai téléchargé la routine, je l'ai enregistrée (tous les fichiers) dans "C:\Program Files (x86)\Autodesk", ensuite j'ai fait APPLOAD, j'ai sélectionné Talus, charger (Talus.lsp correctement chargé indiqué en bas de la fenêtre) puis Fermer.
Puis "tapez talus pour commencer", je tape talus et idem, message d'erreur FDTALUS.DCL non trouvé

Qu'ai-je mal fait?
0

#7 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 191
  • Inscrit(e) : 21-décembre 05

Posté 24 juin 2020 - 12:40

Bonjour à toutes et tous,

Citation

message d'erreur FDTALUS.DCL non trouvé

L'as tu mis également dans un chemin support de AutoCAD (le fichier .dcl permet la lecture de la boite de dialogue liée au lisp) ?

AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#8 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 24 juin 2020 - 12:50

Non je ne crois pas. Où dois je ranger le .dcl ? (Je précise que j'ai cherche sur interne mais rien trouvé à ce sujet :/ !!!)
0

#9 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 191
  • Inscrit(e) : 21-décembre 05

Posté 24 juin 2020 - 12:55

Re,

Citation

Où dois je ranger le .dcl ?

Peux importe du moment que ton dossier ou tu as déposé ce fichier est déclaré dans les chemins supports de AutoCAD,..(Outils => Options => 1er Onglet fichier)

Perso, je laisse les ".dcl" dans le même dossier que le .lsp correspondant,..
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#10 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 24 juin 2020 - 12:59

Oui il est bien dans le dossier que j'ai créé utils/lisp autocad, et j'ai chargé ce dossier là

Miniature(s) jointe(s)

  • Image attachée: Capture.JPG

0

#11 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 191
  • Inscrit(e) : 21-décembre 05

Posté 24 juin 2020 - 15:19

Re,
Il faut renseigner la ligne juste en dessous,...

AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#12 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 24 juin 2020 - 16:12

Je n'y ai pas accès, tout est grisé, je ne peux pas ajouter et si je clique sur parcourir, ca passe en grisé
0

#13 L'utilisateur est hors-ligne   GEGEMATIC 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 980
  • Inscrit(e) : 04-novembre 05

Posté 24 juin 2020 - 16:51

Salut

Voir le messageSawouah, le 24 juin 2020 - 11:10 , dit :

Je n'ai rien compris :huh:
Que dois je faire de cette ligne de code?

tu la colle dans un fichier texte, et tu l'enregistre avec l'extension ".lin"
ensuite tu charge le type de ligne depuis ce fichier.
a+
Gégé
----------------------------------------------------------------------
Site: https://www.g-eaux.fr
Blog: http://g-eaux.over-blog.com
0

#14 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 26 juin 2020 - 10:01

Toujours le même message d'erreur :wacko:
sur la capture écran, vous le voyez intitulé talus test.lin
0

#15 L'utilisateur est hors-ligne   bonuscad 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 4 755
  • Inscrit(e) : 20-juin 03

Posté 26 juin 2020 - 13:52

Les possibilités qui s'offrent à toi.

Pour une version LT, donc avec un type de ligne (il faut cependant une version complète pour générer automatiquement les fichiers nécessaires avec ce qui suit: tu copies-colles le code directement en ligne de commande.)
Ton dessin aura alors les types de ligne disponible, si tu le transmet (e-transmit) à quelqu'un qui a une version LT, il pourra continuer à exploiter ces type de ligne et continuer à dessiner des talus.
Pour des polylignes penser à activer la génération du type de ligne pour avoir un rendu correct et jouer avec l'échelle tu type de ligne.
Ce mode Type de ligne est un pis-allez, le rendu n'est pas parfait mais peut suffire et donne un avantage pour des versions LT.

((lambda ( / f_shp1 f_shp2 f_lin doc)
  (if (not (findfile "TAL-DRO.shp"))
	(progn
  	(setq f_shp1 (open (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-DRO.shp") "w"))
  	(write-line "*256,25,TAL-DRO" f_shp1)
  	(write-line "2,3,8,038,1,03C,2,034,020,1,08C,2,084,020,1,03C,2,034,020,1,03C,2,034,038,0" f_shp1)
  	(close f_shp1)
	)
  )
  (if (not (findfile "TAL-GAU.shp"))
	(progn
  	(setq f_shp2 (open (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-GAU.shp") "w"))
  	(write-line "*257,25,TAL-GAU" f_shp2)
  	(write-line "2,3,8,038,1,034,2,03C,020,1,084,2,08C,020,1,034,2,03C,020,1,034,2,03C,038,0" f_shp2)
  	(close f_shp2)
	)
  )
  (command "_.compile" (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-DRO.shp"))
  (command "_.compile" (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-GAU.shp"))
  (if (not (tblsearch "STYLE" ""))
	(progn
  	(entmakex
    	'(
      	(0 . "STYLE")
      	(100 . "AcDbSymbolTableRecord")
      	(100 . "AcDbTextStyleTableRecord")
      	(2 . "")
      	(70 . 1)
      	(40 . 0.0)
      	(41 . 1.0)
      	(50 . 0.0)
      	(71 . 0)
      	(42 . 0.2)
      	(3 . "TAL-DRO.shx")
      	(4 . "")
 		)
  	)
  	(entmakex
    	'(
      	(0 . "STYLE")
      	(100 . "AcDbSymbolTableRecord")
      	(100 . "AcDbTextStyleTableRecord")
      	(2 . "")
      	(70 . 1)
      	(40 . 0.0)
      	(41 . 1.0)
      	(50 . 0.0)
      	(71 . 0)
      	(42 . 0.2)
      	(3 . "TAL-GAU.shx")
      	(4 . "")
 		)
  	)
	)
  )
  (entmake
	(list
  	'(0 . "LTYPE")
  	'(100 . "AcDbSymbolTableRecord")
  	'(100 . "AcDbLinetypeTableRecord")
  	'(2 . "TAL-DRO")
  	'(70 . 0)
  	'(3 . " Talus orienté à droite")
  	'(72 . 65)
  	'(73 . 3)
  	'(40 . 1.0)
  	'(49 . 0.375)
  	'(74 . 4)
  	'(75 . 256)
  	(CONS 340 (TBLOBJNAME "STYLE" ""))
  	'(46 . 1.0)
  	'(50 . 0.0)
  	'(44 . 0.0)
  	'(45 . 0.0)
  	'(49 . 0.625)
  	'(74 . 0)
  	'(49 . 0.0)
  	'(74 . 0)
	)
  )
  (entmake
	(list
  	'(0 . "LTYPE")
  	'(100 . "AcDbSymbolTableRecord")
  	'(100 . "AcDbLinetypeTableRecord")
  	'(2 . "TAL-GAU")
  	'(70 . 0)
  	'(3 . " Talus orienté à gauche")
  	'(72 . 65)
  	'(73 . 3)
  	'(40 . 1.0)
  	'(49 . 0.375)
  	'(74 . 4)
  	'(75 . 257)
  	(CONS 340 (TBLOBJNAME "STYLE" ""))
  	'(46 . 1.0)
  	'(50 . 0.0)
  	'(44 . 0.0)
  	'(45 . 0.0)
  	'(49 . 0.625)
  	'(74 . 0)
  	'(49 . 0.0)
  	'(74 . 0)
	)
  )
  (if (not (findfile "TAL-DRO.lin"))
	(progn
  	(setq f_lin (open (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-DRO.lin") "w"))
  	(write-line "*TAL-DRO, Talus orienté à droite" f_lin)
  	(write-line "A,.375,[TAL-DRO,TAL-DRO.shx,S=1],.625,0" f_lin)
  	(close f_lin)
	)
  )
  (if (not (findfile "TAL-GAU.lin"))
	(progn
  	(setq f_lin (open (strcat (getvar "ROAMABLEROOTPREFIX") "support\\TAL-GAU.lin") "w"))
  	(write-line "*TAL-GAU, Talus orienté à gauche" f_lin)
  	(write-line "A,.375,[TAL-GAU,TAL-GAU.shx,S=1],.625,0" f_lin)
  	(close f_lin)
	)
  )
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (if
	(and
  	(not
    	(vlax-for item (vla-get-linetypes doc)
      	(if (= (strcase (vla-get-name item)) (strcase "TAL-DRO")) T)
    	)
  	)
  	(vl-catch-all-error-p
    	(vl-catch-all-apply
      	'vla-load
      	(list (vla-get-Linetypes doc) "TAl-DRO" "TAL-DRO.lin")
    	)
  	)
	)
	nil
	T
  )
  (if
	(and
  	(not
    	(vlax-for item (vla-get-linetypes doc)
      	(if (= (strcase (vla-get-name item)) (strcase "TAL-GAU")) T)
    	)
  	)
  	(vl-catch-all-error-p
    	(vl-catch-all-apply
      	'vla-load
      	(list (vla-get-Linetypes doc) "TAl-GAU" "TAL-GAU.lin")
    	)
  	)
	)
	nil
	T
  )
  (princ "\nCréation de Type de Ligne \"TAL-DRO et TAL-GAU\" effectués!")
  (prin1)
))

La seconde est un lisp déjà donner mainte fois, je le met en pièce jointes, Plus paramétrable, fonctionnant en 3D ou 2D indifféremement.

Fichier(s) joint(s)

  • Fichier joint  talus3D.lsp (16,66 Ko)
    Nombre de téléchargements : 8

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius
0

#16 L'utilisateur est hors-ligne   Sawouah 

  • Member
  • PipPip
  • Groupe : Membres
  • Messages : 17
  • Inscrit(e) : 05-juin 20

Posté 06 juillet 2020 - 09:16

Merci Bonuscad, je pense que ce genre de manipulation est au dessus de mes capacités.
Impossible de faire fonctionner l'une ou l'autre technique.

Je vais attendre de trouver un pro qui passe directement au bureau!
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)